=== debian/changelog ===
yt-dlp (2022.04.08-1) unstable; urgency=medium

  * New upstream version 2022.04.08.
    - Refresh supported sites.
    - Refresh patch.
  * d/control: Require dh-python 5.20211213 for 'environment marker' support.
    (LP: #1967266)

 -- Unit 193 <unit193@debian.org>  Sat, 09 Apr 2022 00:56:04 -0400

yt-dlp (2022.03.08.1-1) unstable; urgency=medium

  * New upstream version 2022.03.08.1.
    - Refresh supported sites.
    - Refresh patch.

 -- Unit 193 <unit193@debian.org>  Tue, 08 Mar 2022 20:00:37 -0500

yt-dlp (2022.02.04-1) unstable; urgency=medium

  * New upstream version 2022.02.04.

 -- Unit 193 <unit193@debian.org>  Fri, 04 Feb 2022 02:11:34 -0500

yt-dlp (2022.02.03-1) unstable; urgency=medium

  * New upstream version 2022.02.03.
    - Refresh supported sites.
    - Refresh patch.

 -- Unit 193 <unit193@debian.org>  Thu, 03 Feb 2022 20:39:11 -0500

yt-dlp (2022.01.21-1) unstable; urgency=medium

  * New upstream version 2022.01.21.
    - Refresh supported sites.
    - Refresh patches.
  * d/copyright: Update years.

 -- Unit 193 <unit193@debian.org>  Fri, 21 Jan 2022 23:13:03 -0500

yt-dlp (2021.12.27-1) unstable; urgency=medium

  * Prepare for git.
  * Add autopkgtest to run upstream's testsuite.
  * New upstream version 2021.12.27.
    - Refresh supported sites.
    - Refresh patch.

 -- Unit 193 <unit193@debian.org>  Wed, 29 Dec 2021 20:34:30 -0500

yt-dlp (2021.12.01-1) unstable; urgency=medium

  * Initial release, adapting packaging from youtube-dl. (Closes: #1001933)

 -- Unit 193 <unit193@debian.org>  Tue, 21 Dec 2021 03:49:23 -0500
