=== debian/control ===
Source: yt-dlp
Maintainer: Unit 193 <unit193@debian.org>
Section: web
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python (>= 5.20211213~),
 pandoc,
 python3-pkg-resources,
 python3-pytest <!nocheck>,
 python3-setuptools,
 zip
Build-Depends-Indep:
 python3
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Browser: https://git.unit193.net/cgit/users/unit193/yt-dlp.git
Vcs-Git: https://git.unit193.net/cgit/users/unit193/yt-dlp.git
Homepage: https://github.com/yt-dlp/yt-dlp

Package: yt-dlp
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-pkg-resources
Recommends:
 aria2 | wget | curl,
 ca-certificates,
 ffmpeg,
 mpv | mplayer,
 python3-pyxattr,
 rtmpdump
Suggests:
 libfribidi-bin | bidiv,
 phantomjs
Description: downloader of videos from YouTube and other sites
 yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc.
 The main focus of this project is adding new features and patches
 while also keeping up to date with the original project.
 .
 yt-dlp is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 yt-dlp allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 17live, 1tv, 20min, 23video, 247sports, 24video, 3qsdn, 3sat,
 4tube, 56.com, 6play, 7plus, 8tracks, 91porn, 9c9media, 9gag,
 9now.com.au, abc.net.au, abcnews, abcotvs, AbemaTV, AbemaTVTitle,
 acast, ADN, AdobeConnect, adobetv, AdultSwim, aenetworks, afreecatv,
 AirMozilla, AliExpressLive, AlJazeera, Allocine, AlphaPorno, Alsace20TV,
 Alsace20TVEmbed, Alura, AluraCourse, Amara, AmazonStore, AMCNetworks,
 AmericasTestKitchen, AmericasTestKitchenSeason, AmHistoryChannel,
 anderetijden, AnimalPlanet, AnimeLab, AnimeLabShows, AnimeOnDemand,
 Anvato, aol.com, APA, Aparat, AppleConnect, AppleDaily, ApplePodcasts,
 appletrailers, archive.org, ArcPublishing, ARD, ARDBetaMediathek, Arkena,
 arte.sky.it, ArteTV, ArteTVCategory, ArteTVEmbed, ArteTVPlaylist,
 AsianCrush, AsianCrushPlaylist, AtresPlayer, ATTTechChannel, ATVAt,
 AudiMedia, AudioBoom, audiomack, Audius, AWAAN, AZMedien, BaiduVideo,
 BanBye, BanByeChannel, bandaichannel, Bandcamp, bangumi.bilibili.com,
 BannedVideo, bbc, bbc.co.uk, BBVTV, Beatport, Beeg, BehindKink, Bellator,
 BellMedia, Bet, bfmtv, BibelTV, Bigflix, Bigo, Bild, BiliBili, Bilibili
 category extractor, BilibiliAudio, BilibiliAudioAlbum, BilibiliChannel,
 BiliBiliPlayer, BiliBiliSearch, BiliIntl, BiliIntlSeries, BioBioChileTV,
 Biography, BIQLE, BitChute, BitChuteChannel, BlackboardCollaborate,
 BleacherReport, BleacherReportCMS, blogger.com, Bloomberg, BokeCC,
 BongaCams, BostonGlobe, Box, Bpb, BR, BravoTV, Break, BreitBart,
 BRMediathek, BusinessInsider, BuzzFeed, BYUtv, CableAV, Callin,
 Caltrans, CAM4, Camdemy, CamdemyFolder, CamModels, CamWithHer,
 CanalAlpha, canalc2.tv, Canalplus, Canvas, CanvasEen, CarambaTV,
 CarambaTVPage, CartoonNetwork, cbc.ca, CBS, CBSInteractive, CBSLocal,
 CBSLocalArticle, cbsnews, cbssports, CCMA, CCTV, CDA, CeskaTelevize,
 CGTN, channel9, CharlieRose, Chaturbate, Chilloutzone, Chingari,
 ChingariUser, chirbit, cielotv.it, Cinchcast, Cinemax, CiscoLiveSearch,
 CiscoLiveSession, ciscowebex, CJSW, cliphunter, Clippit, ClipRs,
 Clipsyndicate, CloserToTruth, CloudflareStream, Cloudy, Clubic, Clyp,
 cmt.com, CNBC, CNBCVideo, CNN, CNNArticle, CNNBlogs, ComedyCentral,
 ComedyCentralTV, CondeNast, CONtv, CookingChannel, Corus, Coub, CozyTV,
 cp24, cpac, Cracked, Crackle, Craftsy, CrooksAndLiars, CrowdBunker,
 CrowdBunkerChannel, crunchyroll, CSpan, CSpanCongress, CtsNews,
 CTV, CTVNews, cu.ntv.co.jp, CultureUnplugged, curiositystream,
 CWTV, Cybrary, CybraryCourse, Daftsex, DagelijkseKost, DailyMail,
 dailymotion, daum.net, DBTV, DctpTv, DeezerAlbum, DeezerPlaylist,
 defense.gouv.fr, democracynow, DestinationAmerica, DHM, Digg,
 DigitalConcertHall, DigitallySpeaking, Digiteka, Discovery,
 DiscoveryLife, DiscoveryNetworksDe, DiscoveryPlus, DiscoveryPlusIndia,
 DiscoveryPlusIndiaShow, DiscoveryPlusItaly, DiscoveryPlusItalyShow,
 Disney, DIYNetwork, DoodStream, Dotsub, Douyin, DouyuShow, DouyuTV,
 DPlay, DRBonanza, Drooble, Dropbox, Dropout, DropoutSeason, DrTuber,
 drtv, DTube, duboku, Dumpert, dvtv, dw, EaglePlatform, EbaumsWorld,
 EchoMsk, ehftv, eHow, EinsUndEinsTV, Einthusan, eitb.tv, EllenTube,
 EllenTubePlaylist, EllenTubeVideo, Elonet, ElPais, Embedly, EMPFlix,
 Engadget, Epicon, EpiconSeries, Eporner, EroProfile, ertflix, Escapist,
 ESPN, ESPNArticle, ESPNCricInfo, EsriVideo, Europa, EuropeanTour,
 EUScreen, EWETV, ExpoTV, Expressen, ExtremeTube, EyedoTV, facebook,
 FacebookPluginsVideo, faz.net, fc2, Fczenit, Filmmodu, filmon, Filmweb,
 FiveThirtyEight, FiveTV, Flickr, Folketinget, FoodNetwork, FootyRoom,
 Formula1, FOX, FOX9, FOX9News, Foxgay, foxnews, FoxSports, fptplay,
 FranceCulture, FranceInter, FranceTV, francetvinfo.fr, FranceTVSite,
 Freesound, freespeech.org, FrontendMasters, FrontendMastersCourse,
 FrontendMastersLesson, FujiTVFODPlus7, Funimation, Funk, Fusion,
 Fux, Gab, GabTV, Gaia, GameInformer, GameJolt, GameJoltCommunity,
 GameJoltGame, GameJoltGameSoundtrack, GameJoltSearch, GameJoltUser,
 GameSpot, GameStar, Gaskrank, Gazeta, GDCVault, GediDigital,
 gem.cbc.ca, generic, Gettr, GettrStreaming, Gfycat, GiantBomb, Giga,
 GlattvisionTV, Glide, Globo, GloboArticle, glomex, Go, GoDiscovery,
 GodTube, Gofile, Golem, GoogleDrive, GoPro, Goshgay, GoToStage,
 GPUTechConf, Gronkh, Groupon, hbo, HearThisAt, Heise, HellPorno,
 Helsinki, HentaiStigma, hetklokhuis, HGTVDe, HGTVUsa, HiDive,
 HistoricFilms, hitbox, HitRecord, hketv, HotNewHipHop, hotstar,
 Howcast, HowStuffWorks, hrfernsehen, HRTi, HRTiPlaylist, HSEProduct,
 HSEShow, Huajiao, HuffPost, Hungama, HungamaAlbumPlaylist, HungamaSong,
 Hypem, ign.com, IGNArticle, IGNVideo, IHeartRadio, imdb, Imgur, Ina,
 Inc, IndavideoEmbed, InfoQ, Instagram, InstagramIOS, Internazionale,
 InternetVideoArchive, InvestigationDiscovery, IPrima, IPrimaCNN, iq.com,
 iqiyi, ITProTV, ITProTVCourse, ITTF, ITV, ITVBTCC, ivi, ivideon, Iwara,
 Izlesene, Jable, JablePlaylist, Jamendo, JamendoAlbum, JeuxVideo,
 Joj, Jove, JWPlatform, Kakao, Kaltura, Karaoketv, KarriereVideos,
 Katsomo, KeezMovies, KelbyOne, Ketnet, khanacademy, KickStarter,
 KinjaEmbed, KinoPoisk, KonserthusetPlay, Koo, KrasView, Ku6, KUSI,
 la7.it, laola1tv, LastFM, LastFMPlaylist, LastFMUser, lbry, LCI, Lcp,
 LcpPlay, Le, Lecture2Go, Lecturio, LecturioCourse, LecturioDeCourse,
 LEGO, Lemonde, Lenta, LePlaylist, LetvCloud, Libsyn, life, limelight,
 LineLive, LineLiveChannel, LinkedIn, LinuxAcademy, LiTV, LiveJournal,
 livestream, Lnk, LnkGo, loc, LocalNews8, LoveHomePorn, lrt.lt, lynda,
 m6, MagentaMusik360, mailru, MainStreaming, MallTV, MangoTV, ManotoTV,
 ManotoTVLive, ManotoTVShow, ManyVids, MaoriTV, Markiza, MarkizaPage,
 massengeschmack.tv, MatchTV, MDR, MedalTV, media.ccc.de, Mediaite,
 MediaKlikk, Medialaan, Mediaset, MediasetShow, Mediasite,
 MediasiteCatalog, MediasiteNamedCatalog, Medici, megaphone.fm,
 megatvcom, Meipai, MelonVOD, META, metacafe, Metacritic, mewatch,
 Mgoon, MiaoPai, microsoftstream, mildom, minds, MinistryGrid, Minoto,
 miomio.tv, mirrativ, MiTele, mixch, mixcloud, MLB, MLBVideo, MLSSoccer,
 Mnet, MNetTV, MoeVideo, Mofosex, MofosexEmbed, Mojvideo, Morningstar,
 Motherless, MotherlessGroup, Motorsport, MovieClips, MovieFap,
 Moviepilot, Moviezine, MovingImage, MSN, mtg, mtv, mtv.de, mtv.it,
 mtvjapan, MTVUutisetArticle, MuenchenTV, Murrtube, MurrtubeUser,
 MuseScore, MusicdexAlbum, MusicdexArtist, MusicdexPlaylist,
 MusicdexSong, mva, Mwave, MwaveMeetGreet, Mxplayer, MxplayerShow,
 MyChannels, MySpace, MySpass, Myvi, MyVideoGe, MyVidster, MyviEmbed,
 n-tv.de, N1InfoAsset, Nate, NateProgram, NationalGeographicTV, Naver,
 NBA, NBAChannel, NBAEmbed, NBAWatchEmbed, NBC, NBCNews, nbcolympics,
 NBCSports, NBCSportsStream, NBCSportsVPlayer, ndr, NDTV, Nebula,
 NerdCubedFeed, NetPlus, Netzkino, Newgrounds, Newstube, Newsy, NextMedia,
 NextMediaActionNews, NextTV, Nexx, NexxEmbed, NFB, NFHSNetwork, nfl.com,
 NhkForSchoolBangumi, NhkForSchoolProgramList, NhkForSchoolSubject,
 NhkVod, NhkVodProgram, nhl.com, nick.com, nick.de, nickelodeonru,
 nicknight, niconico, NiconicoUser, Nintendo, Nitter, njoy, NJPWWorld,
 NobelPrize, NonkTube, NoodleMagazine, Noovo, Normalboots, NosVideo,
 Nova, NovaEmbed, NovaPlay, nowness, Noz, npo, Npr, NRK, NRKPlaylist,
 NRKRadioPodkast, NRKSkole, NRKTV, NRKTVDirekte, NRKTVEpisode,
 NRKTVEpisodes, NRKTVSeason, NRKTVSeries, NRLTV, ntv.ru, Nuvid, NYTimes,
 NYTimesArticle, NYTimesCooking, nzherald, NZZ, ocw.mit.edu, OdaTV,
 Odnoklassniki, OktoberfestTV, OlympicsReplay, on24, OnDemandKorea,
 OneFootball, onet.pl, onet.tv, OnetMVP, OnionStudios, Ooyala,
 OoyalaExternal, Opencast, OpencastPlaylist, openrec, OraTV, OsnatelTV,
 OutsideTV, PacktPub, PacktPubCourse, pandora.tv, Panopto, PanoptoList,
 PanoptoPlaylist, ParamountNetwork, ParamountPlus, ParamountPlusSeries,
 parliamentlive.tv, Parlview, Patreon, PatreonUser, pbs, PearVideo,
 PeekVids, peer.tv, PeerTube, peloton, People, PerformGroup, periscope,
 PhilharmonieDeParis, phoenix.de, Photobucket, Piapro, Picarto,
 PicartoVod, Piksel, Pinkbike, Pinterest, PinterestCollection, Pladform,
 PlanetMarathi, Platzi, PlatziCourse, play.fm, player.sky.it, PlayPlusTV,
 PlayStuff, PlaysTV, Playtvak, Playvid, PlayVids, Playwire, pluralsight,
 PlutoTV, podomatic, Pokemon, PokemonSoundLibrary, PokemonWatch, PokerGo,
 PokerGoCollection, PolsatGo, PolskieRadio, PolskieRadioCategory,
 Popcorntimes, PopcornTV, PornCom, PornerBros, Pornez, PornFlip,
 PornHd, PornHub, PornHubPagedVideoList, PornHubPlaylist, PornHubUser,
 PornHubUserVideosUpload, Pornotube, PornoVoisines, PornoXO, PornTube,
 PressTV, ProjectVeritas, prosiebensat1, PRXAccount, PRXSeries,
 PRXStory, puhutv, Puls4, Pyvideo, qqmusic, QuantumTV, Qub, R7,
 R7Article, Radiko, RadikoRadio, radio.de, radiobremen, radiocanada,
 radiofrance, RadioJavan, radiokapital, RadioZetPodcast, radlive, Rai,
 RaiPlay, RaiPlayLive, RaiPlayPlaylist, RaiPlaySound, RaiPlaySoundLive,
 RaiPlaySoundPlaylist, RayWenderlich, RayWenderlichCourse, RBMARadio,
 RCS, RCSEmbeds, RCSVarious, RCTIPlus, RCTIPlusSeries, RCTIPlusTV, RDS,
 RedBull, RedBullEmbed, RedBullTV, RedBullTVRrnContent, Reddit, RedGifs,
 RedGifsSearch, RedGifsUser, RedTube, RegioTV, RENTV, RENTVArticle,
 Restudy, Reuters, ReverbNation, RICE, RMCDecouverte, RockstarGames,
 Rokfin, RoosterTeeth, RoosterTeethSeries, RottenTomatoes, Rozhlas,
 RTBF, RTDocumentry, RTDocumentryPlaylist, rte, rtl.nl, rtl2, RTNews,
 RTP, RTRFM, RTS, RTVNH, RTVS, RUHD, Rule34Video, RumbleChannel,
 RumbleEmbed, Ruptly, rutube, RUTV, Ruutu, Ruv, safari, Saitosan,
 SAKTV, SaltTV, SampleFocus, Sapo, savefrom.net, SBS, schooltv,
 ScienceChannel, Screencast, ScreencastOMatic, ScrippsNetworks,
 SCTE, SCTECourse, Seeker, SenateGov, SenateISVP, SendtoNews, Servus,
 Sexu, SeznamZpravy, SeznamZpravyArticle, Shahid, ShahidShow, Shared,
 ShemarooMe, ShowRoomLive, simplecast, Sina, Skeb, sky.it, skyacademy.it,
 SkylineWebcams, SkyNewsAU, Slideshare, SlidesLive, Slutload, Snotr,
 Sohu, SonyLIV, SonyLIVSeries, soundcloud, SoundcloudEmbed, soundgasm,
 southpark.cc.com, southpark.de, southpark.nl, southparkstudios.dk,
 SovietsCloset, SovietsClosetPlaylist, SpankBang, SpankBangPlaylist,
 Spankwire, Spiegel, Sport5, SportBox, SportDeutschland,
 spotify, Spreaker, SpreakerPage, SpreakerShow, SpreakerShowPage,
 SpringboardPlatform, Sprout, SRGSSR, SRGSSRPlay, stanfordoc,
 startv, Steam, Stitcher, StitcherShow, StoryFire, StoryFireSeries,
 StoryFireUser, Streamable, Streamanity, streamcloud.eu, StreamCZ,
 StreamFF, StreetVoice, StretchInternet, Stripchat, SunPorno, SVT,
