=== debian/changelog ===
yt-dlp (2022.06.29-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 11 Jul 2022 15:44:33 -0700

yt-dlp (2022.06.29-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Unit 193 <unit193@debian.org>  Sun, 03 Jul 2022 00:18:34 -0400

yt-dlp (2022.06.29-1) unstable; urgency=medium

  * New upstream version 2022.06.29.
    - Refresh supported sites.
    - Refresh patches.

 -- Unit 193 <unit193@debian.org>  Thu, 30 Jun 2022 22:22:01 -0400

yt-dlp (2022.06.22.1-1) unstable; urgency=medium

  * New upstream version 2022.06.22.1. (Closes: #1013332)
    - Refresh supported sites.
    - Refresh patches.
  * d/control: Lower mpv to suggests, it's only used in rtsp
    streams and seems those are unpopular.

 -- Unit 193 <unit193@debian.org>  Wed, 22 Jun 2022 18:45:03 -0400

yt-dlp (2022.05.18-1) unstable; urgency=medium

  * New upstream version 2022.05.18.
    - Refresh supported sites.
    - Refresh patches.
  * Update Standards-Version to 4.6.1.

 -- Unit 193 <unit193@debian.org>  Thu, 19 May 2022 05:25:24 -0400
